# Retrieve entities using a search query

Lists all entities that match the criteria. This endpoint supports sorted pagination using the search-after property.  {% admonition type="info" name="Note" %}For additional information, see the SearchAfter API (V3) developer documentation, including information about supported query operators, filters and supported operators, as well as SearchAfter examples.{% /admonition %}

Endpoint: POST /api/entities/searchAfter
Version: v3.0
Security: OAuth2.0

## Request fields (application/json):

  - `filter` (any, required)

  - `sorting` (array, required)

  - `sorting.field` (string, required)

  - `sorting.order` (string, required)
    Enum: "Desc", "Asc"

  - `sorting.field_type` (string)
    Enum: "Property", "System"

  - `sorting.culture` (string,null)

  - `search_after` (array,null)

  - `take` (integer,null)

  - `load_configuration` (object)
    Represents the configuration for loading an entity.

  - `load_configuration.culture_option` (object)
    Represents options for loading cultures.

  - `load_configuration.culture_option.load_option` (string)
    An enum of possible load options.
    Enum: "None", "Default", "Custom", "All"

  - `load_configuration.culture_option.cultures` (array,null)
    Gets or sets a list of culture names that need to be loaded. This is only useful when Stylelabs.M.Base.Entities.Loading.CultureLoadOption.LoadOption is Stylelabs.M.Base.Entities.Loading.LoadOption.Custom.

  - `load_configuration.property_option` (object)
    Represents options for loading properties.

  - `load_configuration.property_option.load_option` (string)
    An enum of possible load options.
    Enum: "None", "Default", "Custom", "All"

  - `load_configuration.property_option.properties` (array,null)
    Gets or sets a list of property names (case insensitive) that need to be loaded.
This is only useful when Stylelabs.M.Base.Entities.Loading.PropertyLoadOption.LoadOption is Stylelabs.M.Base.Entities.Loading.LoadOption.Custom.

  - `load_configuration.relation_option` (object)
    Represents options for loading relations.

  - `load_configuration.relation_option.load_option` (string)
    An enum of possible load options.
    Enum: "None", "Default", "Custom", "All"

  - `load_configuration.relation_option.relations` (array,null)
    Gets or sets a list of relations that need to be loaded.
This is only useful when Stylelabs.M.Base.Entities.Loading.RelationLoadOption.LoadOption is Stylelabs.M.Base.Entities.Loading.LoadOption.Custom.

  - `load_configuration.relation_option.relations.name` (string,null)
    Name of the relation (case insensitive).

  - `load_configuration.relation_option.relations.role` (string)
    Enum: "Parent", "Child"

  - `load_configuration.relation_option.max_related_items` (integer,null)
    Gets or sets the maximum number of related items for each relation.

## Response 200 fields (application/json):

  - `last_hit_data` (array,null)
    The last returned hits, which are used to fetch the next page of results.

  - `items` (array,null)
    Gets or sets the list of items.

  - `items.id` (integer)
    The ID for the entity, for example, 39752.

  - `items.identifier` (string,null)
    The identifier for the entity.

  - `items.cultures` (array,null)
    The cultures associated with the entity, for example, en-US.

  - `items.properties` (object,null)
    The properties of the entity.

  - `items.relations` (object,null)
    The relations of the entity.

  - `items.created_by` (object)
    Represents a link to a resource.

  - `items.created_by.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.created_by.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.created_by.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.created_by.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.created_on` (string)
    The date and time when the entity was created.

  - `items.modified_by` (object)
    Represents a link to a resource.

  - `items.modified_on` (string)
    The date and time when the entity was last modified.

  - `items.locked_by` (object)
    Represents a link to a resource.

  - `items.locked_on` (string,null)
    The date and time when the entity was locked.

  - `items.entitydefinition` (object)
    Represents a link to a resource.

  - `items.copy` (object)
    Represents a link to a resource.

  - `items.copyasync` (object)
    Represents a link to a resource.

  - `items.permissions` (object)
    Represents a link to a resource.

  - `items.requested_permissions` (object,null)
    The requested permissions with identification if a certain user has the permissions.

  - `items.lifecycle` (object)
    Represents a link to a resource.

  - `items.saved_selections` (object)
    Represents a link to a resource.

  - `items.roles` (object)
    Represents a link to a resource.

  - `items.annotations` (object)
    Represents a link to a resource.

  - `items.is_root_taxonomy_item` (boolean,null)
    Gets or sets a value indicating whether the entity is a root taxonomy item.

  - `items.is_path_root` (boolean,null)
    Gets or sets a value indicating whether the entity is a path root.

  - `items.inherits_security` (boolean)
    Gets or sets a value indicating whether the entity inherits security.

  - `items.is_system_owned` (boolean)
    Gets or sets a value indicating whether the entity is system owned.

  - `items.version` (integer)
    The version of the entity.

  - `items.full` (object)
    Represents a link to a resource.

  - `items.modules` (array,null)
    The modules associated with the entity.

  - `items.self` (object)
    Represents a link to a resource.

  - `total_items` (integer,null)
    Gets or sets the total number of items.

  - `returned_items` (integer,null)
    Gets or sets the number of returned items.

  - `offset` (integer,null)
    Gets or sets the offset of the items.

  - `next` (object)
    Represents a link to a resource.

  - `previous` (object)
    Represents a link to a resource.

  - `identifier` (string,null)
    Gets or sets the identifier of the resource.

  - `self` (object)
    Represents a link to a resource.


## Response 400 fields

## Response 401 fields
